Get Orgs Of User

Get Orgs Of User

Use this endpoint to retrieve all organizations of the user
Authorized Roles : PROVIDER or ORG_ADMIN

Request
URI
GET
https://{api_host}/provider/users/{id}/organizations
COPY
Path Parameters
integer
id
Required

ID of the user


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "id": "string",
        "companyName": "string",
        "email": "string",
        "instanceMode": "string",
        "deleted": false,
        "orgType": "string",
        "ldapOrgDetails": {
            "id": "string",
            "ldapServerDetailsId": "string",
            "ldapType": "string",
            "ldapServerDetails": {
                "id": "string",
                "type": "string",
                "hostAddress": "string",
                "port": 0,
                "firstNameAttribute": "string",
                "lastNameAttribute": "string",
                "domain": "string",
                "baseDn": "string",
                "searchFilter": "string",
                "loginAttribute": "string",
                "thumbprint": "string",
                "deleted": false,
                "userName": "string",
                "password": "string",
                "sslEnabled": false,
                "sslCert": {
                    "privateKey": "string",
                    "certificate": "string",
                    "parentCert": "string"
                },
                "createdTimestamp": "string"
            },
            "adminGroups": [
                "string"
            ],
            "userGroups": [
                "string"
            ],
            "providerGroups": [
                "string"
            ],
            "deleted": false,
            "createdTimestamp": "string"
        },
        "dbFqdnSuffix": "string",
        "links": [
            {
                "rel": "string",
                "href": "string",
                "hreflang": "string",
                "media": "string",
                "title": "string",
                "type": "string",
                "deprecation": "string",
                "profile": "string",
                "name": "string"
            }
        ]
    }
]

400

Bad Request

Operation doesn't return any data structure